Skip to main content
GET
/
admin
/
connections
/
{id}
/
aws-trust-info
Get AWS trust info
curl --request GET \
  --url https://{organization_id}.platform.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info \
  --header 'Authorization: Bearer <token>'
{
  "principal_arn": "arn:aws:iam::123456789012:role/barndoor-llm-gateway",
  "external_id": "bd-ext-9f3c1"
}

Authorizations

Authorization
string
header
required

JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.

Path Parameters

id
string<uuid>
required

Credential UUID

Response

Trust policy parameters

principal_arn
string
required
Example:

"arn:aws:iam::123456789012:role/barndoor-llm-gateway"

external_id
string
required
Example:

"bd-ext-9f3c1"